      subroutine uv3dpremix (tile)      


      use Agrif_Util
#include "Param_BeforeCall_uv3dpremix.h"
      integer(4) :: tile
      

        call Sub_Loop_uv3dpremix(tile, Agrif_tabvars_i(16)%iarray0, Agri
     &f_tabvars(116)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i
     &(7)%iarray0, Agrif_tabvars_i(15)%iarray0)

      end


#include "Sub_Loop_uv3dpremix.h"
      subroutine uv3dpremix_tile (Istr,Iend,Jstr,Jend,CF,DC)      


      use Agrif_Util
#include "Param_BeforeCall_uv3dpremix_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: CF
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: DC
      

        call Sub_Loop_uv3dpremix_tile(Istr,Iend,Jstr,Jend,CF,DC, Agrif_t
     &abvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_i(1
     &4)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray
     &0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(153)%array3, Agrif_ta
     &bvars(98)%array2, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars(154)
     &%array3, Agrif_tabvars(99)%array2, Agrif_tabvars(143)%array3, Agri
     &f_tabvars_i(156)%iarray0, Agrif_tabvars(36)%array4, Agrif_tabvars(
     &37)%array4, Agrif_tabvars(40)%array4, Agrif_tabvars(41)%array4, Ag
     &rif_tabvars(28)%array4, Agrif_tabvars(29)%array4, Agrif_tabvars(78
     &)%array2, Agrif_tabvars(50)%array3, Agrif_tabvars(32)%array4, Agri
     &f_tabvars(79)%array2, Agrif_tabvars(51)%array3, Agrif_tabvars(33)%
     &array4, Agrif_tabvars_i(225)%iarray0, Agrif_tabvars_i(229)%iarray0
     &, Agrif_tabvars_i(206)%iarray0, Agrif_tabvars_i(207)%iarray0, Agri
     &f_tabvars_i(227)%iarray0, Agrif_tabvars_i(231)%iarray0, Agrif_tabv
     &ars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11
     &)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_uv3dpremix_tile.h"
      subroutine interpspongeu(tabres,i1,i2,j1,j2,k1,k2,before)      


      use Agrif_Util
#include "Param_BeforeCall_interpspongeu.h"
      integer(4) :: i1
      integer(4) :: i2
      integer(4) :: j1
      integer(4) :: j2
      integer(4) :: k1
      integer(4) :: k2
      logical :: before
      real, dimension(i1:i2,j1:j2,k1:k2) :: tabres
      

        call Sub_Loop_interpspongeu(tabres,i1,i2,j1,j2,k1,k2,before, Agr
     &if_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvar
     &s_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(51)%arr
     &ay3, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars(150)%array4, Agri
     &f_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_interpspongeu.h"
      subroutine interpspongev(tabres,i1,i2,j1,j2,k1,k2,before)      


      use Agrif_Util
#include "Param_BeforeCall_interpspongev.h"
      integer(4) :: i1
      integer(4) :: i2
      integer(4) :: j1
      integer(4) :: j2
      integer(4) :: k1
      integer(4) :: k2
      logical :: before
      real, dimension(i1:i2,j1:j2,k1:k2) :: tabres
      

        call Sub_Loop_interpspongev(tabres,i1,i2,j1,j2,k1,k2,before, Agr
     &if_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvar
     &s_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(50)%arr
     &ay3, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars(149)%array4, Agri
     &f_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_interpspongev.h"
